.modal-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgb(3 17 25 / 41%);
    backdrop-filter: blur(2px);
    z-index: 9998;
    pointer-events: none;
}

.modal-micros {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) scale(0.95);
    width: 90%;
    max-width: 900px;
    background: #0d1d26;
    border-radius: 16px;
    padding: 30px 20px;
    z-index: 9999;
    transition: all 0.2s ease;
    outline: solid 4px #ffffff1c;
    max-height: 90vh;
    overflow-y: auto;
}

.modal-title-micros {
    font-size: 1.5rem;
    font-weight: 600;
    margin-bottom: 15px;
    color: #333;
    text-align: center;
}

.modal-content-micros {
    font-size: 1rem;
    color: #555;
    line-height: 1.6;
    text-align: center;
    border: none;
}

.close-btn {
    position: absolute;
    top: 12px;
    right: 12px;
    width: 24px;
    height: 24px;
    background-size: contain;
    cursor: pointer;
    z-index: 10000;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 26px;
    border-radius: 50%;
    transform: rotate(45deg);
    padding: 14px;
    color:  white;
    background-color:  #ffffff1c;
}

.close-btn:hover {
    background-color: var(--accent-color);
}

/* Активное состояние */
.modal-overlay.active {
    opacity: 1;
    pointer-events: auto;
}

.modal-micros.active {
    opacity: 1;
    transform: translate(-50%, -50%) scale(1);
    pointer-events: auto;
}


.loader {
    width: 8px;
    height: 40px;
    border-radius: 4px;
    display: block;
    margin: 20px auto;
    position: relative;
    background: currentColor;
    color: #FFF;
    box-sizing: border-box;
    animation: animloader 0.3s 0.3s linear infinite alternate;
}

.loader::after, .loader::before {
    content: '';
    width: 8px;
    height: 40px;
    border-radius: 4px;
    background: currentColor;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    left: 20px;
    box-sizing: border-box;
    animation: animloader 0.3s  0.45s  linear infinite alternate;
}
.loader::before {
    left: -20px;
    animation-delay: 0s;
}

@keyframes animloader {
    0%   { height: 48px}
    100% { height: 4px}
}